Subject: Re: [bug#59513] [PATCH v2] doc: contributing: Tweak the Commit Policy.

From: zimoun <[email-masked]>
Date: Thu, 05 Jan 2023 10:12:49 +0100

Hi,

On Thu, 08 Dec 2022 at 11:20, Christopher Baines <[email-masked]> wrote:

> Add more examples of when it can be appropriate to push changes without
> review, as I think this can be appropriate in the case of trivial changes (as
> mentioned before), but also non-trivial fixes.

This would be part of the commit message, right?

I would avoid the personal “I think” since it is a collective thought
with some consensus (I guess).  For instance,

--8<---------------cut here---------------start------------->8---
Add more examples of when it can be appropriate to push changes without
review, as in the case of trivial changes (as mentioned before), but
also non-trivial fixes.
--8<---------------cut here---------------end--------------->8---

> No longer suggest pushing simple new packages or package upgrades (that don't
> cause lots of rebuilds) without sending to guix-patches. Now there's some
> automation for testing changes sent to guix-patches, sending changes there
> before pushing can mean that more rigerious testing takes place and help speed
                                  --^
                              typo
s/rigerious/rigorous

> +Changes should be posted to @email{guix-patches@@gnu.org}.  This mailing
> +list fills the patch-tracking database (@pxref{Tracking Bugs and
> +Patches}).  It also allows patches to be picked up and tested by the
> +quality assurance tooling; the result of that testing eventually shows
> +up on the dashboard at
> +@indicateurl{https://qa.guix.gnu.org/issue/@var{number}}, where
> +@var{number} is the number assigned by the issue tracker.  Leave time

To be consistent with (guix) Sending a Patch Series [1], I suggest to
use @var{ISSUE_NUMBER} instead of simply @var{number}.

1: <https://guix.gnu.org/manual/devel/en/guix.html#Sending-a-Patch-Series>

Aside the minor comments, all LGTM!  This change appears to me a great
improvement, hoping it will reduce the number of red bullets in
dashboard [2].

2: <https://ci.guix.gnu.org/eval/91795/dashboard>

Cheers,
simon